Get index statistics

Auth

For data streams, the API retrieves statistics for the stream's backing indices.

By default, the returned statistics are index-level with primaries and total aggregations. primaries are the values for only the primary shards. total are the accumulated values for both primary and replica shards.

To get shard-level statistics, set the level parameter to shards.

Note

When moving to another node, the shard-level statistics for a shard are cleared. Although the shard is no longer part of the node, that node retains any node-level statistics to which the shard contributed.

Required privileges

Index privileges monitor

Path parameters

index union string | string[] optional

A comma-separated list of index names; use _all or empty string to perform the operation on all indices

Leave it out to use /_stats.

metric union enum | enum[] optional

Comma-separated list of metrics used to limit the request.

Supported values include:

  • _all: Return all statistics.
  • store: Size of the index in byte units.
  • indexing: Indexing statistics.
  • get: Get statistics, including missing stats.
  • search: Search statistics including suggest statistics. You can include statistics for custom groups by adding an extra groups parameter (search operations can be associated with one or more groups). The groups parameter accepts a comma-separated list of group names. Use _all to return statistics for all groups.
  • merge: Merge statistics.
  • flush: Flush statistics.
  • refresh: Refresh statistics.
  • query_cache: Query cache statistics.
  • fielddata: Fielddata statistics.
  • docs: Number of documents and deleted docs not yet merged out. Index refreshes can affect this statistic.
  • warmer: Index warming statistics.
  • completion: Completion suggester statistics.
  • segments: Memory use of all open segments. If the include_segment_file_sizes parameter is true, this metric includes the aggregated disk usage of each Lucene index file.
  • translog: Translog statistics.
  • request_cache: Shard request cache statistics.
  • recovery: Recovery statistics.
  • bulk: Bulk operations statistics.
  • shard_stats: Shard statistics, including the total number of shards.
  • mappings: Mapping statistics, including the total count and estimated overhead.
  • dense_vector: Total number of dense vectors indexed. Index refreshes can affect this statistic.
  • sparse_vector: Total number of sparse vectors indexed. Index refreshes can affect this statistic.

Leave it out to use /_stats.

Values: _all store indexing get search merge flush refresh query_cache fielddata docs warmer

Query parameters

completion_fields union string | string[]

Comma-separated list or wildcard expressions of fields to include in fielddata and suggest statistics.

expand_wildcards union oneOf · default: open

Type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as open,hidden.

Supported values include:

  • all: Match any data stream or index, including hidden ones.
  • open: Match open, non-hidden indices. Also matches any non-hidden data stream.
  • closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.
  • hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both.
  • none: Wildcard expressions are not accepted.
Values: all open closed hidden none
fielddata_fields union string | string[]

Comma-separated list or wildcard expressions of fields to include in fielddata statistics.

fields union string | string[]

Comma-separated list or wildcard expressions of fields to include in the statistics.

forbid_closed_indices boolean · default: true

If true, statistics are not collected from closed indices.

groups union string | string[]

Comma-separated list of search groups to include in the search statistics.

include_auto_calibration boolean · default: false

If true, the response includes the auto-calibration information of each dense_vector field that supports auto-calibration. Only applies at the indices and shards levels.

include_segment_file_sizes boolean · default: false

If true, the call reports the aggregated disk usage of each one of the Lucene index files (only applies if segment stats are requested).

include_unloaded_segments boolean · default: false

If true, the response includes information from segments that are not loaded into memory.

level enum · default: indices

Indicates whether statistics are aggregated at the cluster, indices, or shards level.

Values: cluster indices shards

Response

application/json
indices map string to object
_shards object required
failed number required

The number of shards the operation or search attempted to run on but failed.

successful number required

The number of shards the operation or search succeeded on.

total number required

The number of shards the operation or search will run on overall.

skipped number
_all object required
shards map string to object
total object
Same fields as primaries in _all
uuid string
health enum

Supported values include:

  • green (or GREEN): All shards are assigned.
  • yellow (or YELLOW): All primary shards are assigned, but one or more replica shards are unassigned. If a node in the cluster fails, some data could be unavailable until that node is repaired.
  • red (or RED): One or more primary shards are unassigned, so some data is unavailable. This can occur briefly during cluster startup as primary shards are assigned.
  • unknown
  • unavailable
Values: green GREEN yellow YELLOW red RED unknown unavailable
status enum
Values: open close